%define url_ver %(echo  %{version}|cut -d. -f1,2)
%define req_gtk_version 2.19.7
%define req_glib_version 2.26.0

%define api       4
%define major     1
%define libname     %mklibname mate-panel-applet %{api} %{major}
%define develname   %mklibname -d mate-panel-applet

%define gi_major    4.0
%define girname     %mklibname mate-panel-applet-gir %{gi_major}

Summary:        The core programs for the MATE GUI desktop environment
Name:           mate-panel
Version:        1.6.2
Release:        %mkrel 1
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/MATE
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:        mageia-menu.svg
Source2:        panel-default-layout.dist

# Fixes "mate-panel --reset" option. (upstream)
Patch0:         mate-panel-1.6.0-reset_fix.patch
# (fc) 1.6.0-1mga  use xlock instead of xscreensaver to lock root desktop
Patch1:         mate-panel-1.6.0-mga-rootlock.patch
# (fc) 1.6.0-1mga ensure net_applet role is network
Patch2:         mate-panel-1.6.0-mga-netapplet.patch
# Adds about-mageia in context menu
Patch3:         mate-panel-1.6.0-mga-about-mageia.patch

BuildRequires: docbook-dtd412-xml
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: mate-common
BuildRequires: xsltproc
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(mateweather)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(libcanberra-gtk)
BuildRequires: pkgconfig(libmatewnck)
BuildRequires: pkgconfig(libmate-menu)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(libwnck-1.0)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(mate-doc-utils)
BuildRequires: pkgconfig(NetworkManager)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(dconf)

Requires:      desktop-common-data
Requires:      mate-session-manager
Requires:      mate-desktop
Requires:      mate-menus
Requires:      mate-screensaver
Requires:      mate-polkit
#(patch1)
Requires:      xlockmore
Suggests:      mate-applets

%description
MATE (yerba maté) is a user-friendly
set of applications and desktop tools to be used in conjunction with a
window manager for the X Window System.

The MATE panel packages provides the mate panel, menus and some
basic applets for the panel.

%package -n     %{libname}
Summary:        %{summary}
Group:          System/Libraries
Obsoletes:      %{_lib}mate-panel-applet-4_1 < 1.6.1-2

%description -n %{libname}
Panel libraries for running MATE panels.

%package -n %{girname}
Summary:      GObject Introspection interface description for %{name}
Group:        System/Libraries
Requires:    %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n     %{develname}
Summary:        Static libraries, include files for MATE panel
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       libmate-panel-applet-devel = %{version}-%{release}
Provides:       libmate-panel-applet%{api}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Obsoletes:      %{_lib}mate-panel-applet-4-devel < 1.6.1-2

%description -n %{develname}
Panel libraries and header files for creating MATE panels.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
#(disabled until indexhtml package fixed)
#patch3 -p1

%build
#libexecdir needed for gnome conflicts
%configure2_5x \
           --disable-scrollkeeper                 \
           --disable-static                       \
           --disable-schemas-compile              \
           --with-x                               \
           --libexecdir=%{_libexecdir}/mate-panel \
           --enable-introspection

%make

%install

%makeinstall_std

#remove old files
find %{buildroot} -name '*.la' -delete;

install -D -m 0644 %{_sourcedir}/panel-default-layout.dist %{buildroot}%{_datadir}/mate-panel/panel-default-layout.dist

# remove needless gsettings convert file to avoid slow session start
rm -f  %{buildroot}%{_datadir}/MateConf/gsettings/mate-panel.convert

%find_lang %name-3.0 --with-gnome --all-name

mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
cp -a %{_sourcedir}/mageia-menu.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps

%files -f %name-3.0.lang
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_libexecdir}/mate-panel/
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/applications/mate-panel.desktop
%{_datadir}/omf/mate-applet-fish/
%{_datadir}/omf/mate-applet-clock/
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate/help/mate-applet-clock/
%{_datadir}/mate/help/mate-applet-fish/
%{_datadir}/mate-panel
%{_datadir}/mate-panel/panel-default-layout.dist
%{_datadir}/dbus-1/services/org.mate.panel.applet.ClockAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.FishAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.NotificationAreaAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.WnckletFactory.service

%files -n %{libname}
%{_libdir}/libmate-panel-applet-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/MatePanelApplet-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libmate-panel-applet-%{api}.so
%{_includedir}/mate-panel-4.0/
%{_libdir}/pkgconfig/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir




%changelog
* Thu Feb 06 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 584767
-Update to bugfix version: 1.6.2
-Disable about-mageia menu entry for now
-Remove IM client launcher from default layout; users should decide it.

* Sat Dec 28 2013 tarakbumba <tarakbumba> 1.6.1-6.mga4
+ Revision: 562944
- Fix drakconf launcher in default layout
- Add about-mageia into context menu

* Sun Dec 08 2013 tarakbumba <tarakbumba> 1.6.1-5.mga4
+ Revision: 555828
- Fix install path of panel-default-layout.dist in SPEC

* Fri Dec 06 2013 tarakbumba <tarakbumba> 1.6.1-4.mga4
+ Revision: 555745
- Use .dist file instead of ugly patching
- Fix panel resetting future (upstream)

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-3.mga4
+ Revision: 532635
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 wally <wally> 1.6.1-2.mga4
+ Revision: 469029
- fix lib and devel pkg names
- drop unneeded provides/requires
- tighten deps

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464716
- updated sources to 1.6.1

* Thu Jun 13 2013 tarakbumba <tarakbumba> 1.6.0-1.mga4
+ Revision: 442266
- imported package mate-panel

